Subject: Ticket Assigned - late delivery / 9563642823
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 02 Apr 2022 11:28:09 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  late delivery / 9563642823 ~ Faraz ~                    Hi           03:07 PM, 02nd Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:07 PM, 02nd Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:07 PM, 02nd Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           03:07 PM, 02nd Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            03:07 PM, 02nd Apr                   Ahmed                   Hi this is Ahmed how can I help you today            03:07 PM, 02nd Apr                     ~ Faraz ~                    Items no delivered until now..           03:08 PM, 02nd Apr                     ~ Faraz ~                    Hi ahmed..           03:08 PM, 02nd Apr                     ~ Faraz ~                    I’m really sad to tell you the delivery system is very poor…           03:08 PM, 02nd Apr                     ~ Faraz ~                    I haven’t received my items neither I got any calls           03:08 PM, 02nd Apr                     ~ Faraz ~                             03:09 PM, 02nd Apr                     ~ Faraz ~                    I waited at home since yesterday..           03:10 PM, 02nd Apr                   Ahmed                   Kindly allow me few moments so I can check the details of the order            03:17 PM, 02nd Apr                     ~ Faraz ~                    Ok           03:18 PM, 02nd Apr                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           03:27 PM, 02nd Apr                     ~ Faraz ~                    Ok           03:28 PM, 02nd Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4113669